Loading...
Searching...
No Matches
Opm::Network::Branch Class Reference

## Public Types

enum class | AlqEQ { OIL_DENSITY , GAS_DENSITY , ALQ_INPUT }

## Public Member Functions

| Branch (const std::string &downtree_node, const std::string &uptree_node, int vfp_table, double alq)
| Branch (const std::string &downtree_node, const std::string &uptree_node, int vfp_table, AlqEQ alq_eq)
const std::string & | downtree_node () const
const std::string & | uptree_node () const
void | set_uptree_node (const std::string &new_uptree_node)
std::optional< int > | vfp_table () const
AlqEQ | alq_eq () const
std::optional< double > | alq_value () const
bool | operator== (const Branch &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AlqEQ | AlqEqfromString (const std::string &input_string)
static Branch | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Network/Branch.hpp
- opm/input/eclipse/Schedule/Network/Branch.cpp